public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "James Le Cuirot" <chewi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-action/minetest/
Date: Wed, 24 Feb 2021 20:47:54 +0000 (UTC)	[thread overview]
Message-ID: <1614199653.c6e3cad332d383e34a4eaea9dbcf07d5cec217e8.chewi@gentoo> (raw)

commit:     c6e3cad332d383e34a4eaea9dbcf07d5cec217e8
Author:     William Breathitt Gray <vilhelm.gray <AT> gmail <DOT> com>
AuthorDate: Wed Feb 24 00:18:42 2021 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Wed Feb 24 20:47:33 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c6e3cad3

games-action/minetest: Version bump to 5.4.0

Closes: https://bugs.gentoo.org/772308
Signed-off-by: William Breathitt Gray <vilhelm.gray <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/19623
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 games-action/minetest/Manifest              |   1 +
 games-action/minetest/minetest-5.4.0.ebuild | 146 ++++++++++++++++++++++++++++
 2 files changed, 147 insertions(+)

diff --git a/games-action/minetest/Manifest b/games-action/minetest/Manifest
index 05d0a191d37..46330273b6c 100644
--- a/games-action/minetest/Manifest
+++ b/games-action/minetest/Manifest
@@ -1 +1,2 @@
 DIST minetest-5.3.0.tar.gz 10828893 BLAKE2B 0847c040d2874962be79af6fce89b19354f6763cb37dd61d7e5e91bcacb9a76a115e295976056ae761db257612277ceef0d7e8bfc55790b1bc59a9c4961af41b SHA512 7bb34a80107861539a9ac2417812625ef11d145bf9401afdb8e0a1b9f619adcce24e2becf5bf361b805f4610097cf9d44c76d497ab08d489a43655852ce44777
+DIST minetest-5.4.0.tar.gz 11205196 BLAKE2B 4fd03cf75c6ace4a8e3b1fc81826a43df4a6ea68c7dbdc33cda948e5c81fb49440341f148943c7300036d4063fafb0104fc42a8a29a0495df65d4c66f0d4eb46 SHA512 4cb43678c56ee2ccf9d5dd9c1fc0007119d598a4a56df43fc2a1b827efe08feba0008a30bdb1a1fcd4efe0ada88484b7be0c9e46f108d5424451adb0999b0bcb

diff --git a/games-action/minetest/minetest-5.4.0.ebuild b/games-action/minetest/minetest-5.4.0.ebuild
new file mode 100644
index 00000000000..6cd3d801b35
--- /dev/null
+++ b/games-action/minetest/minetest-5.4.0.ebuild
@@ -0,0 +1,146 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+LUA_COMPAT=( luajit )
+
+inherit cmake lua-single xdg
+
+DESCRIPTION="A free open-source voxel game engine with easy modding and game creation"
+HOMEPAGE="https://www.minetest.net"
+SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1+ CC-BY-SA-3.0 OFL-1.1 Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+client +curl doc +leveldb ncurses nls postgres prometheus redis +server +sound spatial test +truetype"
+REQUIRED_USE="
+	${LUA_REQUIRED_USE}
+	|| ( client server )"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	${LUA_DEPS}
+	dev-db/sqlite:3
+	dev-libs/gmp:0=
+	dev-libs/jsoncpp:=
+	sys-libs/zlib
+	client? (
+		app-arch/bzip2
+		dev-games/irrlicht
+		media-libs/libpng:0=
+		virtual/jpeg:0
+		virtual/opengl
+		x11-libs/libX11
+		x11-libs/libXxf86vm
+		sound? (
+			media-libs/libogg
+			media-libs/libvorbis
+			media-libs/openal
+		)
+		truetype? ( media-libs/freetype:2 )
+	)
+	curl? ( net-misc/curl )
+	leveldb? ( dev-libs/leveldb:= )
+	ncurses? ( sys-libs/ncurses:0= )
+	nls? ( virtual/libintl )
+	postgres? ( >=dev-db/postgresql-9.5:= )
+	prometheus? ( dev-cpp/prometheus-cpp )
+	redis? ( dev-libs/hiredis:= )
+	server? (
+		acct-group/minetest
+		acct-user/minetest
+		dev-games/irrlicht-headers
+	)
+	spatial? ( sci-libs/libspatialindex:= )"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	doc? (
+		app-doc/doxygen
+		media-gfx/graphviz
+	)
+	nls? ( sys-devel/gettext )"
+
+src_prepare() {
+	cmake_src_prepare
+	# set paths
+	sed \
+		-e "s#@BINDIR@#${EPREFIX}/usr/bin#g" \
+		-e "s#@GROUP@#${PN}#g" \
+		"${FILESDIR}"/minetestserver.confd > "${T}"/minetestserver.confd || die
+
+	# remove bundled libraries
+	rm -rf lib || die
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DBUILD_CLIENT=$(usex client)
+		-DBUILD_SERVER=$(usex server)
+		-DBUILD_UNITTESTS=$(usex test)
+		-DCUSTOM_BINDIR="${EPREFIX}/usr/bin"
+		-DCUSTOM_DOCDIR="${EPREFIX}/usr/share/doc/${PF}"
+		-DCUSTOM_EXAMPLE_CONF_DIR="${EPREFIX}/usr/share/doc/${PF}"
+		-DCUSTOM_LOCALEDIR="${EPREFIX}/usr/share/${PN}/locale"
+		-DCUSTOM_SHAREDIR="${EPREFIX}/usr/share/${PN}"
+		-DENABLE_CURL=$(usex curl)
+		-DENABLE_CURSES=$(usex ncurses)
+		-DENABLE_FREETYPE=$(usex truetype)
+		-DENABLE_GETTEXT=$(usex nls)
+		-DENABLE_GLES=0
+		-DENABLE_LEVELDB=$(usex leveldb)
+		-DENABLE_LUAJIT=1
+		-DENABLE_POSTGRESQL=$(usex postgres)
+		-DENABLE_PROMETHEUS=$(usex prometheus)
+		-DENABLE_REDIS=$(usex redis)
+		-DENABLE_SPATIAL=$(usex spatial)
+		-DENABLE_SOUND=$(usex sound)
+		-DENABLE_SYSTEM_GMP=1
+		-DENABLE_SYSTEM_JSONCPP=1
+		-DRUN_IN_PLACE=0
+	)
+
+	cmake_src_configure
+}
+
+src_compile() {
+	cmake_src_compile
+
+	if use doc ; then
+		cmake_src_compile doc
+		HTML_DOCS=( "${BUILD_DIR}"/doc/html/. )
+	fi
+}
+
+src_install() {
+	cmake_src_install
+
+	if use server ; then
+		keepdir /var/log/minetest
+		fowners minetest:minetest /var/log/minetest
+
+		newconfd "${T}"/minetestserver.confd minetest-server
+		newinitd "${FILESDIR}"/minetestserver.initd minetest-server
+
+		insinto /etc/logrotate.d
+		newins "${FILESDIR}"/minetestserver.logrotate minetest-server
+	fi
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+
+	if use server ; then
+		elog
+		elog "Configure your server via /etc/conf.d/minetest-server"
+		elog
+	fi
+
+	elog
+	elog "The version 5.x series is not compatible to the version 0.4 series."
+	elog "This applies to clients and servers, other content such as mods,"
+	elog "texture packs and worlds is unaffected and backwards-compatible"
+	elog "as usual."
+	elog
+}


             reply	other threads:[~2021-02-24 20:47 UTC|newest]

Thread overview: 52+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-02-24 20:47 James Le Cuirot [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-12-14 15:34 [gentoo-commits] repo/gentoo:master commit in: games-action/minetest/ Marek Szuba
2023-04-10 13:20 Marek Szuba
2023-04-10 10:27 Marek Szuba
2022-09-26  1:01 Marek Szuba
2022-09-21 18:33 Marek Szuba
2022-08-16 18:06 Marek Szuba
2022-08-09 11:38 Marek Szuba
2022-08-09 11:38 Marek Szuba
2022-05-25 22:43 Marek Szuba
2022-03-10  8:53 Marek Szuba
2022-02-10 12:19 Marek Szuba
2021-08-13 15:55 Marek Szuba
2021-08-13 15:26 Marek Szuba
2021-05-25  9:38 Marek Szuba
2021-05-13 15:13 Marek Szuba
2021-05-13 15:13 Marek Szuba
2021-05-12  8:54 Marek Szuba
2021-05-12  7:36 Joonas Niilola
2021-04-14 16:12 Sam James
2021-04-10  6:31 Sam James
2021-02-24 20:47 James Le Cuirot
2020-11-12  8:18 Joonas Niilola
2020-09-06  5:55 Joonas Niilola
2020-07-11 13:44 James Le Cuirot
2020-07-11 13:44 James Le Cuirot
2020-04-07 22:51 James Le Cuirot
2020-04-07 22:51 James Le Cuirot
2020-02-22 22:10 James Le Cuirot
2019-11-17 21:38 James Le Cuirot
2019-11-12 21:35 James Le Cuirot
2019-11-12 21:35 James Le Cuirot
2019-09-19 22:06 James Le Cuirot
2019-09-19 22:06 James Le Cuirot
2019-06-27 15:05 Michał Górny
2019-06-27 15:05 Michał Górny
2019-06-27 15:05 Michał Górny
2019-06-09 20:17 Michał Górny
2019-04-10 22:20 David Seifert
2019-04-09 23:57 David Seifert
2019-04-09  8:07 Patrice Clement
2018-06-21  6:37 Georgy Yakovlev
2018-06-17 20:34 David Seifert
2018-06-09 18:19 Aaron Bauman
2018-06-09 14:15 Aaron Bauman
2018-05-20 23:26 Aaron Bauman
2017-11-12 17:26 Aaron Swenson
2017-09-02  8:16 Michał Górny
2017-08-26 11:24 Michael Palimaka
2016-10-22 21:33 Patrice Clement
2016-05-18 12:11 Ian Delaney
2015-09-09 16:26 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1614199653.c6e3cad332d383e34a4eaea9dbcf07d5cec217e8.chewi@gentoo \
    --to=chewi@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox